
Imports UTS_Core.UTSModule.Station.ProcessStation

Namespace UTSModule.Station
    Public MustInherit Class StationPlan
        Implements IStationPlan

        ''' <summary>测试流程所关联的项目站包信息</summary>
        Public Property ParentPacket() As StationPacket

        Public ReadOnly StationType As StationTypeEnum

        Public Sub New(packet As StationPacket)
            ParentPacket = packet

            StationType = packet.ParentProcessStation.StationType
        End Sub

        Public MustOverride Sub CreateStationPlan() Implements IStationPlan.CreateStationPlan

        Public MustOverride Sub SaveFile(path As String) Implements IStationPlan.SaveFile

        Public MustOverride Sub LoadFile(path As String) Implements IStationPlan.LoadFile
    End Class

End Namespace
